gRPC C#
gRPC C#
Namespaces
Grpc.Core
Marshallers Class
Marshallers Properties
Marshallers Methods

Marshallers Class

Utilities for creating marshallers.
Inheritance Hierarchy
System
Object
Grpc.Core
Marshallers

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static class Marshallers

    Public NotInheritable Class Marshallers

    public ref class Marshallers abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    type Marshallers =  class end

The Marshallers type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| StringMarshaller | Returns a marshaller for string type. This is useful for testing.

Top
Methods

| Name | Description
--- | --- | ---
| Create T | Creates a marshaller from specified serializer and deserializer.

Top
See Also

#### Reference

Grpc.Core Namespace